!lua

-- Cabin Lights for AIG A342.lua
-- Dim cabin lights when landing light is on and below 8000 feet
-- Turn off lightmap between 10 PM and 7 AM and when the plane is not operating.

local LocalTime = varget("E:LOCAL TIME", "seconds")
local CabinLight = varget("A:LIGHT NAV", "Bool")
local LandingLight = varget("A:LIGHT LANDING", "Bool")
local Altitude = varget("A:PLANE ALT ABOVE GROUND", "feet")
local Scale = 0.5

if LandingLight > 0 and Altitude < 8000 then
    Scale = 0.1
	elseif CabinLight > 0 or LocalTime > 25200 and LocalTime < 79200 then
    TextureName = "AIG_A342_l.DDS"
	else
    TextureName = ""
end

varset("T:EmissiveScale","Number",Scale)
varset("T:EmissiveTexture","String",TextureName)