!lua

-- Cabin Lights for AIG A343.lua
-- Mood lighting which changes based on time of day.

local LocalTime = varget("E:LOCAL TIME", "seconds")
local CabinLight = varget("A:LIGHT NAV", "Bool")
local BeaconLight = varget("A:LIGHT BEACON", "Bool")
local Altitude = varget("A:PLANE ALT ABOVE GROUND", "feet")
local Scale = 0.5

if Altitude < 8000 and BeaconLight > 0 and LocalTime > 32400 and LocalTime < 61200 then
	Scale = 0.1
	elseif BeaconLight > 0 and LocalTime > 21600 and LocalTime < 25200 then
	TextureName = "AIG_A343_l_mood3.DDS"
	elseif BeaconLight > 0 and LocalTime > 25200 and LocalTime < 32400 then
	TextureName = "AIG_A343_l_mood2.DDS"
	elseif BeaconLight > 0 and LocalTime > 32400 and LocalTime < 61200 then
	TextureName = "AIG_A343_l.DDS"
	elseif BeaconLight > 0 and LocalTime > 61200 and LocalTime < 68400 then
	TextureName = "AIG_A343_l_mood1.DDS"
	elseif BeaconLight > 0 and LocalTime > 68400 and LocalTime < 75600 then
	TextureName = "AIG_A343_l_mood2.DDS"
	elseif BeaconLight > 0 and LocalTime > 75600 and LocalTime < 82800 then
	TextureName = "AIG_A343_l_mood3.DDS"
	elseif BeaconLight > 0 and LocalTime > 82800 and LocalTime < 86400 then
	TextureName = "AIG_A343_l_mood4.DDS"
	elseif BeaconLight > 0 and LocalTime > 0 and LocalTime < 216000 then
	TextureName = "AIG_A343_l_mood4.DDS"
	elseif Altitude < 8000 and BeaconLight == 0 and CabinLight > 0 then
	TextureName = "AIG_A343_l.DDS"
	else
    TextureName = ""
	end

varset("T:EmissiveTexture","String",TextureName)